/*
 * Copyright (C) 2010 David Arkell.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.gwtorbit.client.widgets;

import com.google.gwt.user.client.ui.HTML;
import com.gwtorbit.client.mvp.ClientResourceBundle;

public class LHTML extends HTML {

	public LHTML() {

	}

	public LHTML(String key) {
		this();
		setKey(key);
	}

	public void setKey(String key) {
		this.setHTML(ClientResourceBundle.getString(key));
	}

	public void setTextKey(String key) {
		this.setText(ClientResourceBundle.getString(key));
	}

}
